import { Box, LinearProgress, TextField, Typography } from "@mui/material";
import { useState } from "react";
import { HeaderLogo } from "../../Generic/HeaderLogo";

export const SqlInjectionLogin = () => {
  // states
  const [emailValueRaw, setEmailValueRaw] = useState<string>("");
  const [passwordValueRaw, setPasswordValueRaw] = useState<string>("");
  const [passwordErrorMsg, setPasswordErrorMsg] = useState<string>("");

  return (
    <>
      <Box
        alignItems="center"
        display="flex"
        flexDirection="row"
        sx={{
          mb: 2,
        }}
      >
        <HeaderLogo />
        <Typography
          sx={{
            color: "grey",
          }}
          variant="h6"
        >
          &nbsp;Login
        </Typography>
      </Box>
      <Box
        sx={{
          display: "flex",
          flexDirection: "column",
        }}
      >
        <TextField
          fullWidth
          id="email"
          label="Email"
          onChange={(e: { target: { value: string } }) => setEmailValueRaw(e.target.value)}
          size="small"
          type="email"
          value={emailValueRaw}
          sx={{ mb: 2 }}
          variant="outlined"
        />
        <TextField
          error={Boolean(passwordErrorMsg)}
          fullWidth
          helperText={Boolean(passwordErrorMsg) ? passwordErrorMsg : ""}
          id="password"
          label="Password"
          onChange={(e: { target: { value: string } }) => setPasswordValueRaw(e.target.value)}
          size="small"
          type="password"
          value={passwordValueRaw}
          sx={{ mb: 2 }}
          variant="outlined"
        />
      </Box>
    </>
  );
};
